Chromium Code Reviews
Help | Chromium Project | Sign in
(1)

Issue 2478663002: Add build flag to enable bitcode on ios (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 months, 3 weeks ago by kthelgason
Modified:
5 months, 2 weeks ago
CC:
webrtc-reviews_webrtc.org, tterriberry_mozilla.com, qiang.lu, niklas.enbom, yujie_mao (webrtc), peah-webrtc
Target Ref:
refs/pending/heads/master
Project:
webrtc
Visibility:
Public.

Description

Add build flag to enable bitcode on ios BUG=webrtc:5085 NOTRY=true Committed: https://crrev.com/592baaf89aaf79245a55bfd3dbf47371b486cd03 Cr-Commit-Position: refs/heads/master@{#14997}

Patch Set 1 #

Total comments: 4

Patch Set 2 : Add clarifying comment #

Unified diffs Side-by-side diffs Delta from patch set Stats (+30 lines, -2 lines) Patch
A webrtc/build/ios/BUILD.gn View 1 1 chunk +24 lines, -0 lines 0 comments Download
M webrtc/build/webrtc.gni View 2 chunks +6 lines, -2 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 19 (6 generated)
kthelgason
I know this is not very pretty, but I found no better way to do ...
5 months, 3 weeks ago (2016-11-03 21:32:39 UTC) #2
magjed_webrtc
lgtm, I'm fine with this solution.
5 months, 3 weeks ago (2016-11-03 22:05:31 UTC) #3
magjed_webrtc
But kjellander@ knows this better and is a better reviewer for this of course.
5 months, 3 weeks ago (2016-11-03 22:06:13 UTC) #4
kjellander_webrtc
https://codereview.webrtc.org/2478663002/diff/1/webrtc/build/ios/BUILD.gn File webrtc/build/ios/BUILD.gn (right): https://codereview.webrtc.org/2478663002/diff/1/webrtc/build/ios/BUILD.gn#newcode9 webrtc/build/ios/BUILD.gn:9: # this file is only meant to be included ...
5 months, 3 weeks ago (2016-11-07 11:17:35 UTC) #5
kthelgason
https://codereview.webrtc.org/2478663002/diff/1/webrtc/build/ios/BUILD.gn File webrtc/build/ios/BUILD.gn (right): https://codereview.webrtc.org/2478663002/diff/1/webrtc/build/ios/BUILD.gn#newcode9 webrtc/build/ios/BUILD.gn:9: # this file is only meant to be included ...
5 months, 2 weeks ago (2016-11-09 09:42:40 UTC) #6
kjellander_webrtc
lgtm
5 months, 2 weeks ago (2016-11-09 11:14:29 UTC) #7
kjellander_webrtc
On 2016/11/09 11:14:29, kjellander_webrtc wrote: > lgtm I suggest run a few bots and land ...
5 months, 2 weeks ago (2016-11-09 11:15:10 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/2478663002/20001
5 months, 2 weeks ago (2016-11-09 12:56:57 UTC) #12
commit-bot: I haz the power
Committed patchset #2 (id:20001)
5 months, 2 weeks ago (2016-11-09 12:58:15 UTC) #14
commit-bot: I haz the power
Patchset 2 (id:??) landed as https://crrev.com/592baaf89aaf79245a55bfd3dbf47371b486cd03 Cr-Commit-Position: refs/heads/master@{#14997}
5 months, 2 weeks ago (2016-11-09 12:58:23 UTC) #16
tkchin_webrtc
On 2016/11/09 12:58:23, commit-bot: I haz the power wrote: > Patchset 2 (id:??) landed as ...
5 months, 2 weeks ago (2016-11-09 19:18:15 UTC) #17
kjellander_webrtc
On 2016/11/09 19:18:15, tkchin_webrtc wrote: > On 2016/11/09 12:58:23, commit-bot: I haz the power wrote: ...
5 months, 2 weeks ago (2016-11-10 06:03:55 UTC) #18
kjellander_webrtc
5 months, 2 weeks ago (2016-11-10 06:05:33 UTC) #19
Message was sent while issue was closed.
On 2016/11/10 06:03:55, kjellander_webrtc wrote:
> On 2016/11/09 19:18:15, tkchin_webrtc wrote:
> > On 2016/11/09 12:58:23, commit-bot: I haz the power wrote:
> > > Patchset 2 (id:??) landed as
> > > https://crrev.com/592baaf89aaf79245a55bfd3dbf47371b486cd03
> > > Cr-Commit-Position: refs/heads/master@{#14997}
> > 
> > Can you check that this doesn't break the framework builder?
> 
> It didn't (that builder is now enabled - although it would have been better to
> run the trybot to be safe)

I'll setup a separate bot that builds with this flag enabled, to ensure we don't
regress on it.
Do we need to build the iOS API framework with the flag enabled as well or is a
regular (let's say ARM64 Debug) build enough?
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46